package entity;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;

@Entity
@NamedQueries({
    @NamedQuery(name= CustomerOrder.GET_ALL, query=
"select\n" +
        "object(c)\n" +
"from CustomerOrder c\n"
    )// NamedQuery end
    , @NamedQuery(name= CustomerOrder.GET_EQUAL_OBJECT, query=
"select\n" +
        "object(c)\n" +
"from CustomerOrder c\n" +
"where ( :region is null or c.region = :region)\n"
    )// NamedQuery end
    , @NamedQuery(name= CustomerOrder.GET_EQUAL_ID, query=
"select\n" +
        "object(c)\n" +
"from CustomerOrder c\n" +
"where ( :regionId is null or c.regionId = :regionId)\n"
    )// NamedQuery end
    , @NamedQuery(name= CustomerOrder.GET_BY_NAME, query=
"select\n" +
        "object(c)\n" +
"from CustomerOrder c\n" +
"where ( :name is null or c.name = :name)\n"
    )// NamedQuery end
})// NamedQueries end


public class CustomerOrder implements Serializable{

    private static final long serialVersionUID = 1L;
    public static final String GET_ALL = "CustomerOrder.getAll";
    public static final String GET_EQUAL_OBJECT = "CustomerOrder.getEqualIdentificationVar";
    public static final String GET_EQUAL_ID = "CustomerOrder.getEqualId";
    public static final String GET_BY_NAME = "CustomerOrder.getByName";

    @Id
    private Integer id;
    
    private String name;
    
    @ManyToOne
    @JoinColumn(name="region_id", nullable = true)
    private Region region;
    @Column(name="region_id", insertable = false, updatable = false, nullable = true)
    private Integer regionId;

    public CustomerOrder(){
    }

    public CustomerOrder(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Region getRegion() {
        return region;
    }

    public void setRegion(Region region) {
        this.region = region;
    }

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    @Override
    public String toString() {
        return "CustomerOrder{" + "id=" + id + '}';
    }

}
